{ jovian, ... }: {
  jovian = {
    hardware.has.amd.gpu = true;
    steamos.useSteamOSConfig = true;

    steam = {
      enable = true;
      user = "app";
      #desktopSession
    };

    decky-loader = {
      enable = true;
      stateDir = "/nix/persist/decky";
    };
  };

  users.home.persistApp.directories = [
    ".steam" ".local/share/Steam" ".config/gamescope"
  ];

  users.users.decky.uid = 514;
  users.groups.decky.gid = 514;

  imports = [
    jovian.nixosModules.jovian
  ];
}
